Subject: Re: [Bitcoin-development] Punishing empty blocks?

From: Arthur Britto <[email-masked]>
Date: Thu, 24 May 2012 10:05:29 -0700

I think you need the stronger change.  Otherwise, the mystery miner could
just put in a few transactions to himself to mask his block.  His block
would appear to be of some use while not being helpful.

-Arthur

On Thu, May 24, 2012 at 9:33 AM, Jeff Garzik <[email-masked]> wrote:

> There appears to be some non-trivial mining power devoted to mining
> empty blocks.  Even with satoshi's key observation -- hash a fixed
> 80-byte header, not the entire block -- some miners still find it
> easier to mine empty blocks, rather than watch the network for new
> transactions.
>
> Therefore I was wondering what people thought about a client
> implementation change:
>
>     - Do not store or relay empty blocks, if time since last block < X
>       (where X = 60 minutes, perhaps)
>
> or even stronger,
>
>     - Ensure latest block includes at least X percent of mempool
> unconfirmed TXs
>
> The former is easier to implement, though there is the danger that
> no-TX miners simply include a statically generated transaction or two.
>
> The latter might be considered problematic, as it might refuse to
> relay quickly found blocks.
>
> Comments?  It wouldn't be a problem if these no-TX blocks were not
> already getting frequent (1 in 20).
>
> --
> Jeff Garzik
> exMULTI, Inc.
> [email-masked]
>
>
> ------------------------------------------------------------------------------
> Live Security Virtual Conference
> Exclusive live event will cover all the ways today's security and
> threat landscape has changed and how IT managers can respond. Discussions
> will include endpoint security, mobile security and the latest in malware
> threats. http://www.accelacomm.com/jaw/sfrnl04242012/114/50122263/
> _______________________________________________
> Bitcoin-development mailing list
> [email-masked]
> https://lists.sourceforge.net/lists/listinfo/bitcoin-development
>